pyqt5 (5.15.11+dfsg-2ubuntu1) questing; urgency=medium

  * Update install files to use lowercase name for the dist-info directory.
  * Add pyqt5-5.*.dist-info/licenses to debian/not-installed.
  * Use ${DEB_HOST_MULTIARCH} variable in the install files.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 14 Jul 2025 17:46:17 +0300

pyqt5 (5.15.11+dfsg-2) unstable; urgency=medium

  * Remove python3-pyqt5.qtwebkit package (closes: #1093549).
  * Remove other packages that have no reverse dependencies:
    - python3-pyqt5.qtbluetooth
    - python3-pyqt5.qtnfc
    - python3-pyqt5.qtremoteobjects
    - python3-pyqt5.qtx11extras

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 03 Feb 2025 11:10:04 +0300

pyqt5 (5.15.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies according to pyproject.toml.
  * Bump years in debian/copyright.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 Jul 2024 13:59:02 +0300

pyqt5 (5.15.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop reproducible_pyrcc5.patch, included in the new release.
  * Bump python3-pyqt5.sip required version to 12.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Oct 2023 13:17:13 +0300

pyqt5 (5.15.9+dfsg-2) unstable; urgency=medium

  * Add a patch to make pyrcc5 generate reproducible output
    (closes: #1024114). Thanks Chris Lamb and Timo Röhling!
  * Remove dbgsym migration code.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 20:01:32 +0300

pyqt5 (5.15.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop composite_qt_module.patch, included in the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 07 Feb 2023 22:00:26 +0400

pyqt5 (5.15.8+dfsg-2) unstable; urgency=medium

  * Fix PyQt5.Qt module being empty (closes: #1030188).
    - Bump sip build-dependencies to 6.7.6+dfsg-2.
    - Backport upstream patch to fix the order in which modules are built.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 02 Feb 2023 13:57:27 +0400

pyqt5 (5.15.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump sip build-dependencies to 6.6.2, pyqt-builder to 1.14.1.
  * Update years in debian/copyright.
  * Generate .pyi on mipsel again. The latest sip should use less memory.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 29 Jan 2023 21:17:25 +0400

pyqt5 (5.15.7+dfsg-3) unstable; urgency=medium

  * Disable generation of .pyi files on mipsel to reduce memory consumption
    (closes: #1026980).
  * Update Lintian overrides for the pointed hints.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 27 Dec 2022 16:51:02 +0300

pyqt5 (5.15.7+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Modified pylupdate: set the default encoding to C when
    locale.getdefaultlocale() returns (None, None); this allows
    pylupdate5 to work correctly in a cowbuilder session.
    Closes: #1021132

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 02 Oct 2022 19:32:12 +0200

pyqt5 (5.15.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump python3-pyqt5.sip required version to 12.11.
  * Update years in debian/copyright.
  * Require Qt 5.15, pyqt-builder dropped support for older versions.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 22 Jun 2022 13:40:38 +0300

pyqt5 (5.15.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump sip build-dependencies to 6.4, following pyproject.toml.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 31 Oct 2021 13:22:10 +0300

pyqt5 (5.15.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/source/lintian-overrides for Lintian 2.109.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Oct 2021 14:37:17 +0300

pyqt5 (5.15.4+dfsg-4) unstable; urgency=medium

  * Stop building extensions for Python debug interpreter (closes: #994337).
    - Rely on automatic dbgsym packages for debug symbols.
  * Override Lintian national-encoding warning for codecs example data.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 29 Sep 2021 13:20:27 +0300

pyqt5 (5.15.4+dfsg-3) unstable; urgency=medium

  * Install PyQt5/sip.pyi in python3-pyqt5 package.
    - Build-depend on sip 6.x to make sure this file is available.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 07 Sep 2021 12:25:49 +0300

pyqt5 (5.15.4+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 06 Sep 2021 21:50:44 +0300

pyqt5 (5.15.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop remove_pyqt5qt_dependency.diff, applied upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 10 Mar 2021 20:24:09 +0300

pyqt5 (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Remove QtNetworkAuth packages, upstream moved them to a separate source.
  * Bump years in debian/copyright.
  * Bump required python3-pyqtbuild version to 1.9, per pyproject.toml.
  * Add a patch to remove PyQt5-Qt from Requires-Dist metadata field.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 26 Feb 2021 14:23:58 +0300

pyqt5 (5.15.2+dfsg-3) unstable; urgency=medium

  * Build-depend on sip-tools instead of sip5-tools, in preparation for
    SIP v6.
  * Limit the qtconnectivity packages to linux-any (closes: #980031).
    Thanks Samuel Thibault for the patch!

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 13 Jan 2021 21:52:29 +0300

pyqt5 (5.15.2+dfsg-2) unstable; urgency=medium

  * Install the PEP 561 py.typed file (closes: #978586).
    - Build-depend on python3-sipbuild ≥ 5.5.0+dfsg-2 for this.
  * Remove some unused build-dependencies. Thanks to Helmut Grohne!

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 05 Jan 2021 20:41:42 +0300

pyqt5 (5.15.2+dfsg-1) unstable; urgency=medium

  * Break calibre < 5.0 (see #970921).
  * Drop qtspeech_5.14.diff, not needed since we upgraded to Qt 5.15.
  * New upstream release.
  * Bump required python3-pyqtbuild version to 1.6.
  * Drop hashable_signals.diff, included in the new release.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 30 Nov 2020 19:02:03 +0300

pyqt5 (5.15.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 24 Sep 2020 16:00:35 +0300

pyqt5 (5.15.1+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Drop unnecessary dh arguments: --parallel, --parallel
  * Fix day-of-week for changelog entry 5.0-1.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Backport upstream patch to make bound signals hashable.
  * Add a patch to make QtTextToSpeech module buildable with Qt 5.14.

  [ Alexander Volkov ]
  * Add python3-pyqt5.qttexttospeech package for QtTextToSpeech module.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Sep 2020 11:23:00 +0300

pyqt5 (5.15.0+dfsg-1+exp3) experimental; urgency=medium

  * Add new binary packages:
    - python3-pyqt5.qtbluetooth
    - python3-pyqt5.qtnetworkauth
    - python3-pyqt5.qtnfc
    - python3-pyqt5.qtremoteobjects (thanks Alexander Volkov)
  * Bump years in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 17 Jul 2020 13:37:15 +0300

pyqt5 (5.15.0+dfsg-1+exp2) experimental; urgency=medium

  * Rebuild against Qt 5.14, to make module-tags in Qt*.toml files updated.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 03 Jul 2020 18:22:46 +0300

pyqt5 (5.15.0+dfsg-1+exp1) experimental; urgency=medium

  * Switch from sip4 to sip5:
    - Update build-dependencies.
    - Build with sip-build instead of configure.py.
    - Drop debian/patches/public_sip.diff, not needed with sip5.
    - Install .sip files into the new location.
    - Update runtime dependency of python3-pyqt5{,-dbg} and pyqt5-dev.
  * Drop -Wl,--as-needed from LDFLAGS, it is default in Bullseye.
  * Update to debhelper compat level 13.
  * Use dh sequencer.
  * Break some reverse dependencies, they need to build with sip5 too
    (closes: #962846).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 17 Jun 2020 14:12:56 +0300

pyqt5 (5.15.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump python3-sip-dev build-dependency to 4.19.23, following upstream.
  * Refresh debian/patches/public_sip.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 Jun 2020 15:21:04 +0300

pyqt5 (5.14.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop the creation of .noinit file. It was needed for python-support
    long time ago, and never used in this package.
  * Rebuild the designer and QML plugins with Python 3.8 (closes: #955621).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 07 Apr 2020 20:20:29 +0300

pyqt5 (5.14.1+dfsg-3) unstable; urgency=medium

  * Drop Python 2 support (closes: #937513).
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 20 Feb 2020 15:30:37 +0300

pyqt5 (5.14.1+dfsg-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * python-*-dbg depends on python2-dbg instead of python-dbg. (Closes: #948495)
    - Patch by Matthias Klose

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 09 Jan 2020 20:19:41 +0300

pyqt5 (5.14.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch again, upstream tarballs are now on PyPI.
  * Bump sip build-dependencies to 4.19.20, following configure.py.
  * Drop Python 2 dbus.mainloop.pyqt5 packages.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 07 Jan 2020 18:02:01 +0300

pyqt5 (5.13.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch for removal of _gpl from tarball names.
  * Drop patches, applied in the new release:
    - python2_qstring.diff
    - remove_deprecated_sip_option.diff
  * Also drop qt_5_12_5.diff, no longer needed.
  * Refresh public_sip.diff.
  * Bump sip build-dependencies to 4.19.19, following configure.py.
  * Stop passing wrong -m option to configure.py.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 12 Dec 2019 10:47:38 +0300

pyqt5 (5.12.3+dfsg-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Dmitry Shachnev ]
  * Backport upstream change to stop using deprecated -B option of sip.
    This option caused build failure when used together with -f.
  * Use distutils to get Python include directory. Fixes build failure
    with Python 3.8.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 23 Oct 2019 09:46:48 +0300

pyqt5 (5.12.3+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Dmitry Shachnev ]
  * Update python2_qstring.diff with the latest changes from upstream.
  * Update Policy URL in the description of public_sip.diff.
  * Add Qt 5.12.5 to the timeline (qt_5_12_5.diff).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Sep 2019 14:40:10 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-pyqt5`.
